Kerbal Space Program - Bug #24866

Breaking Ground Hinges no longer free swing
02/16/2020 02:50 AM - XLjedi

Status: Resolved Start date: 02/16/2020
Severity: Low % Done: 100%
Assignee:

Category: Bug Tracker

Target version: 1.9.1

Version: 1.9.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground

Description

In 1.8 this worked fine.
If you set the following hinge parameters:

Motorized = No
Locked = No

Then the hinge would swing freely and allow you to create things like active suspensions and pivot points for cranes and so forth. In
1.9 the joints are all locked. When you launch the example craft file, it free swings in 1.8.1 and in 1.9 it is locked.

Related issues:

Related to Kerbal Space Program - Bug #24867: Robotics parts still motorized ...

Confirmed 02/16/2020

History

#1 - 02/16/2020 07:21 AM - dok_377

What the actual hell? THEY FIXED THAT IN 1.8.1 AND NOW IT'S BACK IN THE GAME? | just checked it and it is indeed not working again. | have

no words. Squad really blew it this time.

#2 - 02/17/2020 04:46 AM - JPLRepo

- Related to Bug #24867: Robotics parts still motorized when toggled to unmotorized added

#4 - 02/19/2020 03:27 AM - Anonymous

A workaround is to say motorized:yes and size the motor to zero,
(and then switch back to motorized:no if you like).

#5 - 02/19/2020 01:01 PM - XLjedi
k-ohara5a5a@oco.net wrote:

A workaround is to say motorized:yes and size the motor to zero,
(and then switch back to motorized:no if you like).

That works perfectly, thank you!

#6 - 02/28/2020 04:01 PM - victorr
- Status changed from New to Ready to Test
- Target version set to 1.9.1

- % Done changed from 0 to 80

We've made some changes in the latest build and would like some input on this issue please. Thanks.

#7 - 03/22/2020 01:16 PM - XLjedi

Appears to be resolved in 1.9.1

| consider this one FIXED now. Thank you!
#8 - 04/05/2020 03:29 AM - TriggerAu
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

Thanks for checking, resolving thisone

Files

Free Hinge.craft 14.6 KB
